*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Raleway', sans-serif;
    text-decoration: none;
    list-style: none;
    scroll-behavior: smooth;
}
:root{
    --text-color: #302e29;
    --main-color: #ff9100;
    --second-color: #858585;
    --bg-color: #fffbf6;
    --big-font:   4.5rem;
    --h2: 2.6rem;
    --p-font: 1.1rem

}
body{
    background: var(--bg-color);
}
header{
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: transparent;
    padding: 23px 15%;
    transition: all .40 ease;
}
.logo{
    font-size: 30px;
}
span{
    color: var(--main-color);
}
.navbar{
    display: flex;
}
.navbar a {
    color: var(--text-color);
    font-size: var(--p-font);
    font-weight: 600;
    padding: 5px 10px;
    margin: 2px 25px;
    border-bottom: 2px all .40s ease;
}
.navbar a:hover{
    border-bottom: 2px solid var(--main-color);
    color: var(--main-color);
}
.h-icons{
    display: flex;
    align-items: center;
    padding: 10px 22px;
    background: var(--main-color);
    border-radius: 5rem;
}
.h-icons i{
    font-size: 22px;
    color: var(--bg-color);
    margin-right: 15px;
    margin-left: 15px;
}
#menu-icon{
    font-size: 32px;
    color: var(--bg-color);
    z-index: 10001;
    cursor: pointer;
    display: none;
}

section{
    padding: 90px 15% 80px;
}
.home{
    height: 88vh;
    width: 100%;
    position: relative;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 2rem;
}
.home-img img{
    width: 100%;
    height: auto;
}
.home-text h1 {
    font-size: var(--big-font);
    line-height: 1.2;
    margin-bottom: 2rem;
}
.home-text p{
    font-size: var(--p-font);
    font-weight: 500;
    color: var(--second-color);
    line-height: 32px;
    margin-bottom: 2.3rem;
}
.btn{
    display: inline-block;
    padding: 14px 26px;
    background: var(--main-color);
    color: var(--bg-color);
    font-size: 15px;
    font-weight: 600;
    border-radius: 5rem;
    transition: all .40s ease;
}
.btn:hover{
    letter-spacing: 1px;
}

header.sticky{
    padding: 10px 15%;
    background: var(--bg-color);
    box-shadow: 0px 4px 15px rgba(0 0 0 /8%);
}

.menu-content{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, auto));
    gap: 2rem;
    align-items: center;
    margin-top: 4rem;
    cursor: pointer;
}
.row img{
    width: 100%;
    height: auto;
    border-radius: 10px;
}
.row{
    transition: all .40 ease;
}
.menu{
    padding-top: 110px;
}
.menu-text{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px 0;
}
.menu-left h4{
    font-size: 23px;
}
.menu-right h5{
    color: var(--main-color);
    font-size: 23px;
}
.row p{
    color: var(--second-color);
    font-size: 15px;
    line-height: 30px;
    margin-bottom: 15px;
}
.star i{
    color: var(--main-color);
    font-size: 17px;
    margin-right: 4px;
}
.row:hover{
    transform: scale(1.02);
}
.main-contact{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, auto));
    justify-content: center;
    gap: 2rem;
}
.contact-content h4 {
    font-size: 20px;
    color: var(--text-color);
    margin-bottom: 1.5rem;
}
.contact-content li{
    margin-bottom: 16px;
}
.contact-content li a{
    display: block;
    color: var(--text-color);
    font-size: 15px;
    font-weight: 500;
    transition: all .40s ease;
}
.contact-content li a:hover{
    transform: translateX(10px);
    color: var(--main-color);
}
.last-text p{
    text-align: center;
    padding: 25px;
    color: var(--text-color);
    font-size: 15px;
    letter-spacing: 1px;
}

.scroll-top{
    position: fixed;
    bottom: 2.2rem;
    right: 2.2rem;
}
.scroll-top i{
    padding: 8px;
    font-size: 1.4rem;
    color: #fff;
    background: var(--main-color);
    border-radius: 5rem;
}
@media(max-width: 1690px){
    section{
        padding: 11px 2%;
        transition: .20s;
    }
    header{
        padding: 11px 2%;
        transition: .20s;
    }
    header .sticky{
        padding: 8px 2%;
        transition: .20s;
    }
    .contact{
        padding: 70px 2%;
        transition: .20s;
    }
}
@media(max-width: 1290px){
    section{
        padding: 80px 8%;
        transition: .20s;
    }
    :root{
        --big-font: 3.2rem;
        --h2-font: 2rem;
        --p-font: 1rem;
        transition: .20s;
    }
    .home{
        height: 80vh;
    }
    .main-text{
        text-align: center;
    }
}
@media(max-width: 880px){
    #menu-icons{
        display: block;
    }
    .navbar{
        position: absolute;
        top: 100%;
        right: -100%;
        width: 250px;
        height: 110vh;
        background: #fff;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 180px 40px;
        transition: all .40s ease; 
    }
    .navbar a{
        display: block;
        margin: 1.3rem 0;
    }
    .navbar-open{
        right: 0;
    }
}
@media(max-width: 820px){
    :root{
        --big-font: 3rem;
        --h2-font: 1.8rem;
        transition: .20s;
    }
    .home{
        grid-template-columns: 1fr;
        height: 114vh;
    }
    .home-img{
        text-align: center;
    }
    .home-img img{
        width: 100%;
        height: auto;
        max-width: 500px;
    }
    .home-text{
        padding-top: 50px;
    }
    .about{
        grid-template-columns: 1fr;
    }
    .about-img{
        text-align: center;
    }
    .about-img img{
        height: auto;
        max-width: 500px;
        width: 100%;
    }
}
@media(max-width: 680px){
    .container{
        margin-top: 150px;
    }
}